- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
fir
Complete List of ArrayFire Functions ArrayFire Functions by Category » Signal Processing » | Filter

This function implements a Finite Impulse Filter. More...

## Functions
AFAPI array | fir (const array &b, const array &x)
| C++ Interface for finite impulse response filter. More...
AFAPI af_err | af_fir (af_array *y, const af_array b, const af_array x)
| C++ Interface for finite impulse response filter. More...

## Detailed Description

This function implements a Finite Impulse Filter.

Finite impulse filters take an input x and a co-efficient array b to generate an output y such that:

\(y[n] = \sum_{i = 0}^N b_i . x[n]\)

## Function Documentation

AFAPI af_err af_fir | ( | af_array * | y,
|  | const af_array | b,
|  | const af_array | x
| ) |  |

C++ Interface for finite impulse response filter.

Parameters

  [out] | y | is the output signal from the filter
  [in] | b | is the array containing the coefficients of the filter
  [in] | x | is the input signal to the filter

AFAPI array af::fir | ( | const array & | b,
|  | const array & | x
| ) |  |

C++ Interface for finite impulse response filter.

Parameters

  [in] | b | is the array containing the coefficients of the filter
  [in] | x | is the input signal to the filter

Returns
  the output signal from the filter